1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Problemas gráficos

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por Skyflier, 5 de Abril de 2008. (Respostas: 9; Visualizações: 740)

  1. Skyflier

    Skyflier Power Member

    Boas, eu estou a ter problemas com os gráficos 3D em várias distros do Linux, neste momento uso o Ubuntu 7.10. O problema é que quando abro alguma aplicação para 3D, como um jogo por exemplo, a imagem está sempre a piscar e torna-se completamente instável. Outras situações em que isto acontece são nos screensavers e nos efeitos dos média players como o Rythmbox. Já tive Fedora 8 e openSUSE e acontecia o mesmo. A gráfica é uma ATI Mobility Radeon X1400 (é um portátil portanto) e as drivers foram instaladas pelo Envy no Ubuntu mas nas outras distros eram pelo proprio site da ATI. Será um problema das drivers?

    Cumps
     
  2. neonl

    neonl Banido

    Pode ser um problema das drivers da ATI para GNU/Linux com essa placa. Podes tentar encontrar em arquivo uma versão delas que funcione com essa placa. Senão tenta os drivers abertos, Radeon, que embora mais fracos em performance têm fama de ser mais estáveis e compatíveis com aplicações em 3D (pelo menos era/é assim com o Compiz) que os fglrx, oficiais.
     
  3. Skyflier

    Skyflier Power Member

    Pelo Envy ele instala-me as direvers 8.4. No site da ATI para a X1400 tem as drivers 8.3. Será que é o Envy que vai buscar uma versão avançada e que não funciona bem?
     
  4. neonl

    neonl Banido

    É bem provável. Pode ser uma Testing e no site estar um Stable.
     
  5. Skyflier

    Skyflier Power Member

    Pois poderei tentar as drivers 8.3 do site da ATI e depois digo se o problema ainda persiste
     
  6. Thunderh

    Thunderh Power Member

    Sei que as ATI e Linux dão-se mal... no meu portatil que tem uma X700 usei o Wubi (http://wubi-installer.org/) e ta feito, instala o Ubuntu (não o 7.10 mas isso depois da para actualizar) e resolveu o meu prb com incompatibilidade
     
  7. Skyflier

    Skyflier Power Member

    Bom eu consegui instalar o Proprietary Driver da ATI, aliás era só activar a restricted driver e pronto. Agora criou-se outro problema, não consigo activar o compiz, quando vou para activar diz-me "could not find composite" (penso que era assim). Editei o xorg assim

    Código:
    [COLOR=White]# Section "Extensions"
    #        Option  "Composite" "Enabled"
    # EndSection[/COLOR]
    Agora a mensagem mudou, diz "could not activate desktop effects" e continua sem activar.
     
    Última edição: 6 de Abril de 2008
  8. Skyflier

    Skyflier Power Member

    Bom eu estive a analisar a situação e parece-me que as drivers da ATI são especialmente desenvolvidas para o OpenSUSE. Quando entro no site deste até aparece lá em baixo "Powered by AMD" (como sabem a ATI é da AMD é tudo o mesmo). Se calhar vou mesmo mudar de distro para o openSUSE para resolver os problemas gráficos. Agora é assim aconselham-me a espera pelo Hardy Heron ou mudar já para o openSUSE?
     
  9. Skyflier

    Skyflier Power Member

    Segui esses passos todos e no fim dá-me a mensagem "could not activate desktop effects". As drivers ATI são desenvolvidas especialmente para o openSUSE e não funcionam nada bem com outras distros incluindo o Ubuntu. Só as 8.4 instaladas pelo Envy é que funcionam bem em termos de Compiz mas para jogos e videos não dá mesmo, a imagem salta sempre e é muito instavel. Já usei o Live CD do openSUSE 10.3 e gostei muito, traz de origem todas as Apps que o Ubuntu traz também e tem o Compiz nos repositorios que por sinal são mais faceis de usar que no Ubuntu a meu ver. Quanto as drivers da ATI é só abrir o *.rpm e instalar é mais fácil.
     

Partilhar esta Página